f1 = open("suggestions.txt", "r")
f2 = open("hi-spell1.txt", "r")

correct = 0
correct2 = 0
total = 0

for l1 in f1:
    l2 = f2.readline()
    w1 = l1.replace(":"," ").split()
    w2 = l2.replace(":"," ").split()
    total += 1
    #print(w1)
    #print(w2)
    #print("")
    if w1[1] == w2[0]:
        correct += 1
    for w in w1[1:]:
        if w == w2[0]:
            correct2 += 1
            break

print("Correct corrections: "+str(correct)+"/"+str(total))
print("Correct suggestions: "+str(correct2)+"/"+str(total))
